System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable To be added

Represents the date and time data ranging in value from January 1, 1753 to December 31, 9999 to an accuracy of 3.33 milliseconds to be stored in or retrieved from a database. The structure has a different underlying data structure from its corresponding .NET Framework type, , which can represent any time between 12:00:00 AM 1/1/0001 and 11:59:59 PM 12/31/9999, to the accuracy of 100 nanoseconds. actually stores the relative difference to 00:00:00 AM 1/1/1900. Therefore, a conversion from "00:00:00 AM 1/1/1900" to an integer will return 0.

- Constructor
  To be added

  Initializes a new instance of the structure using the specified value.

  A DateTime structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied parameters.

  An integer value that represents the date as ticks.
  An integer value that represents the time as ticks.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied parameters to initialize the year, month, day.

  An integer representing the year of the of the new structure.
  An integer value representing the month of the new structure.
  An integer value representing the day number of the new structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied parameters to initialize the year, month, day, hour, minute, and second of the new structure.

  An integer value representing the year of the new structure.
  An integer value representing the month of the new structure.
  An integer value representing the day of the month of the new structure.
  An integer value representing the hour of the new structure.
  An integer value representing the minute of the new structure.
  An integer value representing the second of the new structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied parameters to initialize the year, month, day, hour, minute, second, and millisecond of the new structure.

  An integer value representing the year of the new structure.
  An integer value representing the month of the new structure.
  An integer value representing the day of the month of the new structure.
  An integer value representing the hour of the new structure.
  An integer value representing the minute of the new structure.
  An integer value representing the second of the new structure.
  An double value representing the millisecond of the new structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the supplied parameters to initialize the year, month, day, hour, minute, second, and billisecond of the new structure.

  An integer value representing the year of the new structure.
  An integer value representing the month of the new structure.
  An integer value representing the day of the new structure.
  An integer value representing the hour of the new structure.
  An integer value representing the minute of the new structure.
  An integer value representing the second of the new structure.
  An integer value representing the bilisecond (billionth of a second) of the new structure.
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlDateTime `` `` To be added.

  Adds a to the specified TimeSpan.

  A value.

  A value. A Timespan value.
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Compares this structure to the supplied structure and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return value

  Condition

  Less than zero

  This instance is less than .

  Zero

  This instance is the same as .

  Greater than zero

  This instance is greater than

  -or-

  is a null reference (Nothing in Visual Basic)

  The structure to be compared.
- Method
  System.Int32 `` To be added

  Compares this structure to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing as Visual Basic).

  The to be compared. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of ticks representing the date of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied object parameter to the property of the object.

  true if the object is an instance of and the two are equal; otherwise false.

  The object to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of two structures to determine whether they are equal.

  true if the two values are equal. Otherwise, false.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Gets the hash code for this instance.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string value that indicates the XSD of the specified .

  A .
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Indicates whether this structure is null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlDateTime

  The maximum valid date for a structure is December 31, 9999.

  Represents the maximum valid date value for a structure.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlDateTime

  The minimum valid date for a structure is January 1, 1753.

  Represents the minimum valid date value for a structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of two instances of to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlDateTime

  Null functions as a constant for the structure. For more information, see Handling Null Values (ADO.NET).

  Represents a that can be assigned to this instance of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDateTime `` `` To be added.

  Adds the period of time indicated by the supplied parameter, , to the supplied structure.

  A new . If either argument is , the new is .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of two structures to determine whether they are equal.

  true if the two values are equal. Otherwise, false.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.DateTime `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDateTime `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDateTime `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of two instances of to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlDateTime `` `` To be added.

  Subtracts the supplied structure, , from the supplied structure.

  A structure representing the results of the subtraction.

  A structure. A structure.
- Method
  System.Data.SqlTypes.SqlDateTime `` To be added

  Converts the specified representation of a date and time to its equivalent.

  A structure equal to the date and time represented by the specified string.

  The string to be parsed. 1.0.5000.0 2.0.0.0
- Field
  System.Int32 To be added

  A constant whose value is the number of ticks equivalent to one hour.

  1.0.5000.0
  2.0.0.0
  1080000
- Field
  System.Int32 To be added

  A constant whose value is the number of ticks equivalent to one minute.

  1.0.5000.0
  2.0.0.0
  18000
- Field
  System.Int32 To be added

  A constant whose value is the number of ticks equivalent to one second.

  1.0.5000.0
  2.0.0.0
  300
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlDateTime `` `` To be added.

  Subtracts the specified Timespan from this instance.

  A value.

  A value. A Timespan value.
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  An XmlSchema.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlReader
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlWriter
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of ticks representing the time of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlString To be added

  Converts this structure to .

  A SqlString structure whose value is a string representing the date and time that is contained in this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts this structure to a .

  A String representing the property of this structure.

  1.0.5000.0
  2.0.0.0
- Property
  System.DateTime To be added: an object of type 'DateTime' To be added

  Gets the value of the structure. This property is read-only.

  1.0.5000.0
  2.0.0.0
System.Xml.Serialization.XmlSchemaProvider("GetXsdType")